Debian Bug report logs - #648741
libgii: FTBFS on armhf, add gcc atomics support

version graph

Package: libgii; Maintainer for libgii is Bradley Smith <bradsmith@debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Mon, 14 Nov 2011 16:51:01 UTC

Severity: important

Tags: patch

Found in version 1.0.2-4

Fixed in version libgii/1:1.0.2-4.1

Done: Konstantinos Margaritis <markos@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#648741; Package libgii. (Mon, 14 Nov 2011 16:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Bradley Smith <bradsmith@debian.org>. (Mon, 14 Nov 2011 16:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit <submit@bugs.debian.org>
Subject: libgii: FTBFS on armhf, add gcc atomics support
Date: Mon, 14 Nov 2011 18:48:35 +0200
[Message part 1 (text/plain, inline)]
Package: libgii
Version: 1.0.2-4
Severity: important
Tags: patch

Hi,

libgii fails on armhf, because of thumb2 problems:

http://buildd.debian-ports.org/status/fetch.php?pkg=libgii&arch=armhf&ver=1%3A1.0.2-4&stamp=1300235163

(armel passes because it does not use thumb2). However, I added a
patch which uses the gcc atomics intrinsics, which should work on all
platforms where asm routines are not available. It passes the
regression tests in libgii and I've tested it with libggi (and vlc)
and it worked. I've only enabled it for armhf in the rules file, but
if you think it should apply to other arches, it might be worth it.

Regards

Konstantinos
[libgii_gccatomics.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from Konstantinos Margaritis <markos@debian.org> to control@bugs.debian.org. (Wed, 11 Jan 2012 23:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#648741; Package libgii. (Thu, 12 Jan 2012 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@debian.org>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Thu, 12 Jan 2012 00:03:03 GMT) Full text and rfc822 format available.

Message #12 received at 648741@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@debian.org>
To: 648741@bugs.debian.org
Subject: libgii: diff for NMU version 1:1.0.2-4.1
Date: Thu, 12 Jan 2012 03:15:30 +0000
[Message part 1 (text/plain, inline)]
tags 648741 + pending
thanks

Dear maintainer,

I've prepared an NMU for libgii (versioned as 1:1.0.2-4.1) and
uploaded it to DELAYED/7. Please feel free to tell me if I
should delay it longer. The fix is quite non-intrusive and is
only enabled for armhf. It's tested not to break amd64 builds
and operation. If you would like to check the patch more, I
could cancel or delay the NMU more, but please have in mind
that the package forbids the building of vlc on armhf right now.

Regards.

Konstantinos

[libgii-1.0.2-4.1-nmu.diff (text/x-diff, attachment)]

Reply sent to Konstantinos Margaritis <markos@debian.org>:
You have taken responsibility. (Thu, 19 Jan 2012 00:36:12 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Thu, 19 Jan 2012 00:36:12 GMT) Full text and rfc822 format available.

Message #17 received at 648741-close@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@debian.org>
To: 648741-close@bugs.debian.org
Subject: Bug#648741: fixed in libgii 1:1.0.2-4.1
Date: Thu, 19 Jan 2012 00:33:30 +0000
Source: libgii
Source-Version: 1:1.0.2-4.1

We believe that the bug you reported is fixed in the latest version of
libgii, which is due to be installed in the Debian FTP archive:

libgii1-dev_1.0.2-4.1_armhf.deb
  to main/libg/libgii/libgii1-dev_1.0.2-4.1_armhf.deb
libgii1-target-x_1.0.2-4.1_armhf.deb
  to main/libg/libgii/libgii1-target-x_1.0.2-4.1_armhf.deb
libgii1_1.0.2-4.1_armhf.deb
  to main/libg/libgii/libgii1_1.0.2-4.1_armhf.deb
libgii_1.0.2-4.1.diff.gz
  to main/libg/libgii/libgii_1.0.2-4.1.diff.gz
libgii_1.0.2-4.1.dsc
  to main/libg/libgii/libgii_1.0.2-4.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648741@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Konstantinos Margaritis <markos@debian.org> (supplier of updated libgii package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 11 Jan 2012 23:16:48 +0000
Source: libgii
Binary: libgii1 libgii1-target-x libgii1-dev
Architecture: source armhf
Version: 1:1.0.2-4.1
Distribution: unstable
Urgency: low
Maintainer: Bradley Smith <bradsmith@debian.org>
Changed-By: Konstantinos Margaritis <markos@debian.org>
Description: 
 libgii1    - General Input Interface runtime libraries
 libgii1-dev - General Input Interface development package
 libgii1-target-x - General Input Interface X input target
Closes: 648741
Changes: 
 libgii (1:1.0.2-4.1) unstable; urgency=low
 .
   * NMU, add support for gcc atomics, enable it on armhf. (Closes: #648741)
Checksums-Sha1: 
 75feb49e33d833f24cd7907162f7c7e2fca0fe34 1947 libgii_1.0.2-4.1.dsc
 ec4c14fd2d87a032b717dc2e560311207ad08818 22583 libgii_1.0.2-4.1.diff.gz
 4b85f48d810b5d4e4207028f4b915658040754d0 271794 libgii1_1.0.2-4.1_armhf.deb
 ae727bf24cda780a03db60e4e85ad55bb4490b12 83086 libgii1-target-x_1.0.2-4.1_armhf.deb
 12a9cba565810bf66293432b2551b81ab053670a 191006 libgii1-dev_1.0.2-4.1_armhf.deb
Checksums-Sha256: 
 a0582bc054471221cc362c97dc811acf31b5aceda11543b8ea778371d572c6f4 1947 libgii_1.0.2-4.1.dsc
 e0838ca5f3dea92cffa85ef449bb12f4d0be4670e998e520297aaf54b8de6941 22583 libgii_1.0.2-4.1.diff.gz
 15b158f805aa86346450e3572f19fa37de8953c86ec1e1aabefd01af5005a659 271794 libgii1_1.0.2-4.1_armhf.deb
 b4d93a7e232a53767e5abd5327510adf7252f3540b180a9eeb18effd57dd0e01 83086 libgii1-target-x_1.0.2-4.1_armhf.deb
 691d5a3ab66bf538c6711810eb405fdce2a80372c9462adfe1febd6eb20e6eb3 191006 libgii1-dev_1.0.2-4.1_armhf.deb
Files: 
 fbdc2c1301974fb80b989e204ac63a6a 1947 libs optional libgii_1.0.2-4.1.dsc
 a4773d51a1feda21a0e6403061a08700 22583 libs optional libgii_1.0.2-4.1.diff.gz
 846cfc8f0fb98fe5d4502ff32c21df22 271794 libs optional libgii1_1.0.2-4.1_armhf.deb
 14bcfae939adf49b21afdcb17794d317 83086 libs optional libgii1-target-x_1.0.2-4.1_armhf.deb
 574d821351d563a7c096c42fb9f90880 191006 libdevel optional libgii1-dev_1.0.2-4.1_armhf.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPDlB8AAoJEGYGAn9kNxJM4rAQAICG8NJwTEompJDKDwvECcIg
vIRj8jYDoTGXY5eyg4Bh5OQCXVc/Ccq6JD1rHFtJnsyaJOq/K/WbuIvfvqxppvcU
DIR4KPEOId4zaVQ4N7aqYodehQ4FZMErRLP4KLc3GGJJZ9eKZNq9U4cpCrZaMLej
pSstJiGbioknQDYUdfj7hhsZyrygvyiHa6mg+UR5Tk1x6KhY/XzkzLQfB7DzpZa5
qrfXX2OECWNkvewhvsnoZ3j4DXekBWVZUCVdcZtSzIa4XcoAStQn44hREvulOhEv
TH650o4T7+E1uHbdj+8qmt1zaAz+F5ja5UvtytMfum+ISmuR8yfXB1UqudZmRhCJ
c8gYkvO3WlVh74olvcFir+tr9k4S2PrySPVYoV7PTw8nuw5lIPoA0HO+HqGFZA7Y
uUYH8WYFQDgKrNLstkganmY3xJ0++GTEBxQJ7sVq9HhBd332A6tcCHDHeXCOqvEI
C3tZ6gGdyVYy9Y6MHkCYFKkJ+bJW7auORvCWhD8GZIAc/joi7PDf5HyL0I0pxfzN
P0RmPc9QYhldZ1dnvG31EUKXXVCSIahtMQUiefDXz9sRYzBWZFqHHdQo0EM44ZxO
3kCRZecWLB02RJxLSe60E03SdZedExuNMnkDKpzbCn7Rq+ep5ifOJRW3v7VVvRoM
WamVWfCXdm0UALmZWzCB
=oKNR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Feb 2012 07:35:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:56:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.